<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo guardar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && ( Varios::hasModuleActionAccess(7, 6)
    )
) {	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
	// Variables recibidas correctamente, sanitizamos las  variables
	$txt_modificar     	= filter_var($_POST["txt_modificar"], FILTER_SANITIZE_NUMBER_INT);
	$txt_fecha 			= Varios::formatFechaSQL2(filter_var($_POST["txt_fecha"], FILTER_SANITIZE_STRING));
	$txt_horaInicio 	= filter_var($_POST["txt_horaInicio"], FILTER_SANITIZE_STRING);
	$txt_horaFin 		= filter_var($_POST["txt_horaFin"], FILTER_SANITIZE_STRING);
	$txt_motivo 		= filter_var($_POST["txt_motivo"], FILTER_SANITIZE_STRING);
	
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/FechaInactiva.Class.php');
	$fechaInactiva_obj = new FechaInactiva(null);

	if ($txt_modificar == 0){
		$auditoria_accion   = "Insert";
    	$auditoria_tabla    = "fecha_inactiva";
    	$auditoria_sql      = "EXEC agenda.SP_fecha_inactiva_ingresa '".$txt_fecha."', '".$txt_horaInicio."', '".$txt_horaFin."', '".$txt_motivo."' ";

		$fechaInactiva_resultado  = $fechaInactiva_obj->ingresarFechaInactiva($txt_fecha, $txt_horaInicio, $txt_horaFin, $txt_motivo );
	} else {
		$cmb_estado   		= filter_var($_POST["cmb_estado"], FILTER_SANITIZE_STRING);
		$auditoria_accion   = "Update";
    	$auditoria_tabla    = "fecha_inactiva";
    	$auditoria_sql      = "EXEC agenda.SP_fecha_inactiva_modifica ".$txt_modificar.", '".$txt_fecha."', '".$txt_horaInicio."', '".$txt_horaFin."', '".
																						$txt_motivo."', ".$cmb_estado;

		$fechaInactiva_resultado  = $fechaInactiva_obj->modificarFechaInactiva($txt_modificar, $txt_fecha, $txt_horaInicio, $txt_horaFin, $txt_motivo, $cmb_estado);
	}
	
	$mensaje = $fechaInactiva_resultado[1];	
	$resultado = $fechaInactiva_resultado[0];	
	if($resultado > 0) {		
		$correcto 	= true;		
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );	
	$fechaInactiva_obj->Close();	
} 

$data = array('success' => $correcto, 'mensaje' => $mensaje, 'sesion' => $sesion );
echo json_encode($data);
?>